import sys

from twisted.internet import reactor
from twisted.web import server
from twisted.python import log

import antelope.stock as stock
import antelope._rtweb as _rtweb

_rtweb._rtweb_init()

import rtwebserver.config as config
import rtwebserver.resource as resource


if(config.verbose):

    config.inform("Turning on default twistd logging facility\n")
    log.startLogging(sys.stdout)

root = resource.RtwebserverResource(config.sitedict)

factory = server.Site(root)

factory.displayTracebacks = False

reactor.listenTCP(config.port, factory)

reactor.run()
